﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using GameSDK.Player;
using CounterGame.Board;
using System.Threading;
using GameSDK.Events;

namespace CounterGame.Player
{
    public class CounterPlayer : StdPlayer
    {

        public CounterPlayer() : base()
        {
            this.Strategy = new CounterStrategy(this);
        }

        public CounterPlayer(CounterBoard board)
            : base(board)
        {
            this.Strategy = new CounterStrategy(this);
            ((CounterBoard) this.Board).PlayerMove +=new GameSDK.Board.PlayerMovedEventHandler(DoPlayMove);
        }

        public override void DoPlayMove(object sender, MoveEventArgs MoveArgs)
        {
            if (MoveArgs.Player().GamePlayerId != this.GamePlayerId)
            {
                this.NextMove();
            }
        }


    }
}
