﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using GuessNumberGame.Board;

namespace GuessNumberGame.Player
{
    public class DichoStrategy : GuessNumberStrategy
    {

        public DichoStrategy(GuessNumberPlayer player)
            : base(player)
        {
        }

        public override void DoMove()
        {
            int proposal =  ((Player.UpperBound - Player.LowerBound)/2) + Player.LowerBound;

            GuessNumberMove move = new GuessNumberMove(((GuessNumberBoard)Player.Board), proposal);
            Console.WriteLine(this.Player + " : " + proposal);

            if (move.EvaluateMove() > 0)
            {
                Console.WriteLine(Player.GamePlayerId + " : -");
                Player.Board.PlayerMoved(Player, move);

            }
            else if (move.EvaluateMove() < 0)
            {
                Console.WriteLine(Player.GamePlayerId + " : +");
                Player.Board.PlayerMoved(Player, move);
            }
            else
            {
                Console.WriteLine(Player.GamePlayerId + " : win");
            }
        }
    }
}
