﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using GameSDK.Player;
using GuessNumberGame.Board;

namespace GuessNumberGame.Player
{
    public class GuessNumberMove : StdMove
    {
        #region Attributes
        private int _proposal;
        public int Proposal
        {
            get { return _proposal; }
            set { _proposal = value; }
        }

        private GuessNumberBoard _board;
        public GuessNumberBoard Board
        {
            get { return _board; }
            set { _board = value; }
        }

        #endregion

        #region Constructor
        
        public GuessNumberMove()
        {
        }

        public GuessNumberMove(GuessNumberBoard board) : this()
        {
            this.Board = board;
        }

        public GuessNumberMove(GuessNumberBoard board, int proposition) : this(board)
        {
            this.Proposal = proposition;
        }

        #endregion

        #region Methods

        public int EvaluateMove()
        {
            return Board.EvaluateMove(this);
        }

        #endregion

    }
}
