﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using GameSDK.Player;
using GuessNumberGame.Board;

namespace GuessNumberGame.Player
{
    public abstract class GuessNumberStrategy : IStdStrategy
    {
        #region Attributes
        private GuessNumberPlayer _player;
        public GuessNumberPlayer Player
        {
            get { return _player; }
            set { _player = value; }
        }

        private GuessNumberBoard _board;
        public GuessNumberBoard Board
        {
            get { return _board; }
            set { _board = value; }
        }

        #endregion

        #region Constructor

        public GuessNumberStrategy(GuessNumberPlayer player)
        {
            this.Player = player;
            this.Board = (GuessNumberBoard) this.Player.Board;
        }

        #endregion

        public abstract void DoMove();

    }
}
